import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentArgsObjectSchema as AppointmentArgsObjectSchema } from './AppointmentArgs.schema'

const makeSchema = () => z.object({
  appointment: z.union([z.boolean(), z.lazy(() => AppointmentArgsObjectSchema)]).optional()
}).strict();
export const AppointmentFileIncludeObjectSchema: z.ZodType<Prisma.AppointmentFileInclude> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentFileInclude>;
export const AppointmentFileIncludeObjectZodSchema = makeSchema();
